[IPython-dev] ipython qt on Windows

Kevin Buchs kevin.buchs@gmail....
Mon Nov 7 10:58:18 CST 2011


Fernando & list members

On Fri, Oct 28, 2011 at 4:27 PM, Fernando Perez <fperez.net@gmail.com>wrote:

> Unfortunately, you're being bitten by a bug in our 0.11 version...
> A few days ago I built a Windows binary installer of 0.12 which has
> this bug already fixed:
> http://archive.ipython.org/testing/ipython-0.12.dev.win32-setup.exe
> Let us know if that helps.
>

The version 0.12 dev Windows installer ran fine. When I tried
ipython-qtconsole.exe, it started up and displayed the following, but never
came back with the prompt.

Python 2.7.2 (default, Jun 12 2011, 15:08:59) [MSC v.1500 32 bit (Intel)]
Type "copyright", "credits" or "license" for more information.

IPython 0.12.dev -- An enhanced Interactive Python.
?         -> Introduction and overview of IPython's features.
%quickref -> Quick reference.
help      -> Python's own help system.
object?   -> Details about 'object', use 'object??' for extra details.
%guiref   -> A brief reference about the graphical user interface.


 When I start from a command line, I see this:

> python.exe ipython-qtconsole-script.pyw
Traceback (most recent call last):
  File "<string>", line 1, in <module>
  File
"C:\Python27\lib\site-packages\ipython-0.11-py2.7.egg\IPython\zmq\__init__.py",
line 25, in <module>
    minimum_pyzmq_version, pyzmq_version))
ImportError: IPython.zmq requires pyzmq >= 2.1.4, but you have 2.1.10


So, it seems the problem still exists.
-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://mail.scipy.org/pipermail/ipython-dev/attachments/20111107/a601a812/attachment.html 


More information about the IPython-dev mailing list